import { ArnComponents } from './arn';
import { IResource } from './resource';
/**
 * Construction properties for {@link ResourceIdentifiers}.
 */
export interface ResourceIdentifiersProps {
    /**
     * The ARN of the resource when referenced from the same stack.
     */
    readonly arn: string;
    /**
     * The name of the resource when referenced from the same stack.
     */
    readonly name: string;
    /**
     * The recipe for creating an ARN from a name for this resource.
     */
    readonly arnComponents: ArnComponents;
}
/**
 * The identifiers (name and ARN) for a given L2.
 * These should be only used inside the Construct Library implementation.
 */
export declare class ResourceIdentifiers {
    readonly arn: string;
    readonly name: string;
    constructor(resource: IResource, props: ResourceIdentifiersProps);
}
